org.keycloak.representations.idm

## Enum LDAPCapabilityRepresentation.CapabilityType

- java.lang.Object
- - java.lang.Enum<LDAPCapabilityRepresentation.CapabilityType>
  - - org.keycloak.representations.idm.LDAPCapabilityRepresentation.CapabilityType

- All Implemented Interfaces:
    Serializable, Comparable<LDAPCapabilityRepresentation.CapabilityType>
  Enclosing class:
    LDAPCapabilityRepresentation

      public static enum LDAPCapabilityRepresentation.CapabilityType
      extends Enum<LDAPCapabilityRepresentation.CapabilityType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTROL`
    `EXTENSION`
    `FEATURE`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LDAPCapabilityRepresentation.CapabilityType` | `fromRootDseAttributeName(String attributeName)`
    `static LDAPCapabilityRepresentation.CapabilityType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LDAPCapabilityRepresentation.CapabilityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTROL

          public static final LDAPCapabilityRepresentation.CapabilityType CONTROL

    - #### EXTENSION

          public static final LDAPCapabilityRepresentation.CapabilityType EXTENSION

    - #### FEATURE

          public static final LDAPCapabilityRepresentation.CapabilityType FEATURE

    - #### UNKNOWN

          public static final LDAPCapabilityRepresentation.CapabilityType UNKNOWN

  - ### Method Detail

    - #### values

          public static LDAPCapabilityRepresentation.CapabilityType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LDAPCapabilityRepresentation.CapabilityType c : LDAPCapabilityRepresentation.CapabilityType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LDAPCapabilityRepresentation.CapabilityType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromRootDseAttributeName

          public static LDAPCapabilityRepresentation.CapabilityType fromRootDseAttributeName(String attributeName)

Copyright © 2021 JBoss by Red Hat. All rights reserved.